Public Member Functions

# wxFileStream Class Reference
[Streams]

`#include <wx/wfstream.h>`

Inheritance diagram for wxFileStream:
[legend]

## Detailed Description

This class represents data that can be both read from and written to a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileStream is based in the wxFFile class.

##

Library: wxBase
Category: Streams

See also:
  wxFileInputStream, wxFileOutputStream, wxFFileStream

## Public Member Functions
| wxFileStream (const wxString &iofileName)
| Initializes a new file stream in read-write mode using the specified iofileName name.
bool | IsOk () const
| Returns true if the stream is initialized and ready.

List of all members.

## Constructor & Destructor Documentation

wxFileStream::wxFileStream | ( | const wxString & | iofileName | ) |

Initializes a new file stream in read-write mode using the specified iofileName name.

Warning:
  You should use IsOk() to verify if the constructor succeeded.

## Member Function Documentation

bool wxFileStream::IsOk | ( |  | ) | const`[virtual]`

Returns true if the stream is initialized and ready.

This method returns true if the stream can be both read from and written to.

Reimplemented from wxFileInputStream.

|  | [ top ]